#!/usr/bin/perl -w

sub from_section {
    my ($spec, $pkgname,$secname,$cmd, $suppress_oops) = @_;
    my $section=$spec->get_section($secname,'-n '.$pkgname);
    unless ($section) {
	print STDERR "Oops! ($cmd): $secname not found for $pkgname\n" unless $suppress_oops;
	return;
    }
    $section->subst(qr"^\s*$cmd\s*\n?$",''); #"
    $section->subst(qr"$cmd(?:\s*\n?$)?",'');
    if ($section->is_empty()) {
	$spec->del_section($secname,'-n '.$pkgname);
    }
};

1;
