#!/usr/bin/perl -w

push @SPECHOOKS, sub {
    my ($spec, $pkgname) = @_;
    my @todel;
    foreach my $section ($spec->get_sections()) {
	my $secname=$section->get_type();
	my %scriptsec=map {$_=>1} qw/pre post preun postun
        triggerin triggerun triggerpostin triggerpostun/;
	if ($secname eq 'package') {
	    $section->subst_if(qr'alternatives >= 0:0.2.0-alt0.12','alternatives >= 0:0.4', qr'^Requires');
	    $section->subst_if(qr'alternatives >= 0.2.0(?=(?:\s|$))','alternatives >= 0.4', qr'^Requires');
	    $section->subst_if(qr'alternatives >= 0.2(?=(\s|$))','alternatives >= 0.4', qr'^Requires');
	} else {
	    next unless $scriptsec{$secname};
	    $section->subst(qr'\s*\%post_register_alternatives\s+.+'s,'');
	    $section->subst(qr'\s*\%preun_unregister_alternatives\s+.+'s,'');
	    $section->subst(qr'\s*\%register_alternatives\s+.+'s,'');
	    $section->subst(qr'\s*\%remove_alternatives\s+.+\n?'s,'');
	    $section->subst(qr'\s*\%unregister_alternatives_always\s+.+'s,'');
	    $section->subst(qr'\s*\%unregister_alternatives\s+.+'s,'');
	    $section->subst(qr'\s*\%update_alternatives\s*','');
	    $section->exclude(qr'^\s*\[ -f "\%_altdir/\%name" \] \|\| exit 0\s*$');
	    #$section->subst(qr'\s*\','');
	    if ($section->is_empty()) {
		push @todel, [$secname,$section->get_package(), $section->get_trigger_condition()];
	    }
	}
    }
    map {$spec->del_section($_->[0],$_->[1],$_->[2])} @todel;
};

1;

__END__
BuildRequires: help2man, alternatives >= 0:0.2.0-alt0.12
Requires: alternatives >= 0:0.2.0-alt0.12
Requires(post): alternatives >= 0:0.2.0-alt0.12
Requires(post): alternatives >= 0:0.2.0-alt0.12 jaxp_parser_impl
Requires(post,preun): alternatives >= 0.2
Requires(post,preun): alternatives >= 0.2.0
Requires(postun): alternatives >= 0:0.2.0-alt0.12
Requires(preun): alternatives >= 0:0.2.0-alt0.12
Requires(preun): alternatives >= 0:0.2.0-alt0.12 jaxp_parser_impl
Requires: xml-commons-apis alternatives >= 0:0.2.0-alt0.12
